## org.eclipse.emf.edit.provider
Interface IViewerNotification

All Superinterfaces:
  Notification

All Known Implementing Classes:
  ViewerNotification

    public interface IViewerNotification

extends Notification

A description of viewer changes required by an EMF notification. The EMF change is described through the base `Notification` interface.

Field Summary

Fields inherited from interface org.eclipse.emf.common.notify.Notification
`ADD, ADD_MANY, CREATE, EVENT_TYPE_COUNT, MOVE, NO_FEATURE_ID, NO_INDEX, REMOVE, REMOVE_MANY, REMOVING_ADAPTER, RESOLVE, SET, UNSET`

Method Summary
`java.lang.Object` `getElement()` The element to update or from which to refresh.
`boolean` `isContentRefresh()` Whether the content under the element should be structurally refreshed.
`boolean` `isLabelUpdate()` Whether the label and icon for the element should be updated.

Methods inherited from interface org.eclipse.emf.common.notify.Notification

`getEventType, getFeature, getFeatureID, getNewBooleanValue, getNewByteValue, getNewCharValue, getNewDoubleValue, getNewFloatValue, getNewIntValue, getNewLongValue, getNewShortValue, getNewStringValue, getNewValue, getNotifier, getOldBooleanValue, getOldByteValue, getOldCharValue, getOldDoubleValue, getOldFloatValue, getOldIntValue, getOldLongValue, getOldShortValue, getOldStringValue, getOldValue, getPosition, isReset, isTouch, merge, wasSet`

Method Detail

### getElement

    java.lang.Object getElement()

  The element to update or from which to refresh. The whole viewer is indicated by the null value.

### isContentRefresh

    boolean isContentRefresh()

  Whether the content under the element should be structurally refreshed.

### isLabelUpdate

    boolean isLabelUpdate()

  Whether the label and icon for the element should be updated.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.